<template>
	<view class="line" :style="{ paddingTop: data.margin_vertical + 'px', paddingBottom: data.margin_vertical + 'px', marginLeft: data.margin_horizontal + 'px', marginRight: data.margin_horizontal + 'px' }">
		<view :style="{ borderTopWidth: '1px', borderTopStyle: data.style, borderTopColor: data.fill_color }"></view>
	</view>
</template>

<script setup>
	const props = defineProps({
		data: {
			type: Object,
			default: function() {
				return {};
			}
		}
	});
</script>

<style lang="scss">
	
</style>